For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Introduction
    • Getting Started
    • Authentication
  • Guide
    • Common Code Patterns
    • Metrics
    • Glossary of Metrics
  • Data
      • GETSegmentations
      • GETMetadata
      • GETGauges
      • GETComponents
      • GETMarket Context
  • Deal Management
  • AI
  • User
    • POSTClient Access Token
  • Liveblocks
    • POSTGet Liveblocks Token
  • user_file
    • GETList User Files
    • POSTUpload User File
    • POSTNotify Submission
    • GETDownload User File
    • DELDelete User File
LogoLogo
DataMacro Indicators

Gauges

GET
/api/v1/data/weather/:segmentation/gauges
GET
/api/v1/data/weather/:segmentation/gauges
$curl https://app.termina.ai/api/v1/data/weather/segmentation/gauges \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "date": "2021-01-01",
4 "label": "USA",
5 "weather_gauge": -0.5
6 }
7]

Returns the overall weather indicator, combined across all stages, for the given segmentation slug(s).

If no slug is provided, the endpoint will return the gauge for all available segmentations.

Was this page helpful?
Previous

Components

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

segmentationstringRequired

Query parameters

sluglist of stringsOptional

Response

Successful Response
datestringformat: "date"
The date of the data point
labelstring
The label of the weather gauge
weather_gaugedouble or null-3-3
The value of the combined weather gauge incorporating all stages at the given date

Errors

422
Unprocessable Entity Error